library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_28s_2 is
    generic(
        bitwidth        : integer := 28
    );
    port(
        N_5             : in     vl_logic_vector(25 downto 0);
        N_6             : out    vl_logic_vector(25 downto 0);
        clk             : in     vl_logic;
        GlobalReset     : in     vl_logic;
        enab            : in     vl_logic
    );
end singleDelayWithEnableGeneric_28s_2;
